Bug 220585 - security/keepassxc: update to 2.2.0
Summary: security/keepassxc: update to 2.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-07-09 22:16 UTC by Andrew Romanenko
Modified: 2017-07-14 10:45 UTC (History)
2 users (show)

See Also:
cpm: merge-quarterly+


Attachments
keepassxc-2.2.0.patch (10.96 KB, patch)
2017-07-09 22:16 UTC, Andrew Romanenko
no flags Details | Diff
keepassxc-2.2.0.fix.patch (12.24 KB, patch)
2017-07-11 23:13 UTC, Andrew Romanenko
no flags Details | Diff
patch-keepassxc-2.2.0.diff (13.52 KB, patch)
2017-07-12 02:35 UTC, Carlos J. Puga Medina
melanhit: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Romanenko 2017-07-09 22:16:57 UTC
Created attachment 184206 [details]
keepassxc-2.2.0.patch
Comment 1 Carlos J. Puga Medina freebsd_committer 2017-07-11 08:42:19 UTC
keepassxc-2.2.0 fails to build on 10.3-R because Clang base version is too old.

FAILED: src/CMakeFiles/zxcvbn.dir/zxcvbn/zxcvbn.cpp.o 
/usr/bin/c++  -DQT_NO_CAST_TO_ASCII -DQT_NO_EXCEPTIONS -DQT_STRICT_ITERATORS -DWITH_APP_BUNDLE -Isrc/zxcvbn_autogen/include -isystem /usr/local/include -I/wrkdirs/usr/ports/security/keepassxc/work/keepassxc-2.2.0/src -Isrc -O2 -pipe -fstack-protector -fno-strict-aliasing -fno-common -Wall -Wextra -Wundef -Wpointer-arith -Wno-long-long -Wformat=2 -Wmissing-format-attribute -fvisibility=hidden -fvisibility-inlines-hidden -fstack-protector-strong -fno-exceptions -fno-rtti -Wnon-virtual-dtor -Wold-style-cast -Woverloaded-virtual -D_FORTIFY_SOURCE=2 -std=c++11 -O2 -pipe -fstack-protector -fno-strict-aliasing -MD -MT src/CMakeFiles/zxcvbn.dir/zxcvbn/zxcvbn.cpp.o -MF src/CMakeFiles/zxcvbn.dir/zxcvbn/zxcvbn.cpp.o.d -o src/CMakeFiles/zxcvbn.dir/zxcvbn/zxcvbn.cpp.o -c /wrkdirs/usr/ports/security/keepassxc/work/keepassxc-2.2.0/src/zxcvbn/zxcvbn.cpp
c++: error: unknown argument: '-fstack-protector-strong'


Full build log: http://sprunge.us/RaCC

It builds fine after switching to USES=compiler:c++14-lang
Comment 2 Carlos J. Puga Medina freebsd_committer 2017-07-11 08:54:13 UTC
Other possible solution would be tweak the keepassxc-2.2.0/CMakeLists.txt to request a higher Clang version which does support the -fstack-protector-strong flag.
Comment 3 Andrew Romanenko 2017-07-11 23:13:08 UTC
Created attachment 184289 [details]
keepassxc-2.2.0.fix.patch

ok, i've added check for minimum clang version (3.8) in the keepassxc-2.2.0/CMakeLists.txt
Comment 4 Carlos J. Puga Medina freebsd_committer 2017-07-12 02:35:04 UTC
Created attachment 184292 [details]
patch-keepassxc-2.2.0.diff

Fix segmentation fault at startup (reproduced on 10.3-R/amd64).
Comment 5 Carlos J. Puga Medina freebsd_committer 2017-07-12 10:36:00 UTC
poudriere testport builds fine on 10.3/amd64, 10.3/i386, 11.0/amd64, 11.0/i386, 12.0/amd64 and 12.0/i386.
Comment 6 Carlos J. Puga Medina freebsd_committer 2017-07-13 15:51:23 UTC
(In reply to Carlos J. Puga Medina from comment #4)

Andrew,

You are the maintainer, please set (+) to approve the attachment.

Attachments: Details -> Flags
Comment 7 Andrew Romanenko 2017-07-13 19:42:00 UTC
Comment on attachment 184292 [details]
patch-keepassxc-2.2.0.diff

ok
Comment 8 commit-hook freebsd_committer 2017-07-13 23:47:35 UTC
A commit references this bug:

Author: cpm
Date: Thu Jul 13 23:46:35 UTC 2017
New revision: 445719
URL: https://svnweb.freebsd.org/changeset/ports/445719

Log:
  security/keepassxc: update to 2.2.0

  - Add YUBIKEY option because keepassxc has added support for YubiKey 2FA
  - Update pkg-descr to reflect the new added changes

  Changelog: https://github.com/keepassxreboot/keepassxc/blob/develop/CHANGELOG

  PR:		220585
  Submitted by:	Andrew Romanenko <melanhit@gmail.com> (maintainer)
  MFH:		2017Q3

Changes:
  head/security/keepassxc/Makefile
  head/security/keepassxc/distinfo
  head/security/keepassxc/files/
  head/security/keepassxc/files/patch-CMakeLists.txt
  head/security/keepassxc/files/patch-src_CMakeLists.txt
  head/security/keepassxc/pkg-descr
  head/security/keepassxc/pkg-plist
Comment 9 Andrew Romanenko 2017-07-14 09:54:12 UTC
yes merge
Comment 10 commit-hook freebsd_committer 2017-07-14 10:44:25 UTC
A commit references this bug:

Author: cpm
Date: Fri Jul 14 10:44:19 UTC 2017
New revision: 445742
URL: https://svnweb.freebsd.org/changeset/ports/445742

Log:
  MFH: r445719

  security/keepassxc: update to 2.2.0

  - Add YUBIKEY option because keepassxc has added support for YubiKey 2FA
  - Update pkg-descr to reflect the new added changes

  Changelog: https://github.com/keepassxreboot/keepassxc/blob/develop/CHANGELOG

  PR:		220585
  Submitted by:	Andrew Romanenko <melanhit@gmail.com> (maintainer)

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/security/keepassxc/Makefile
  branches/2017Q3/security/keepassxc/distinfo
  branches/2017Q3/security/keepassxc/files/
  branches/2017Q3/security/keepassxc/pkg-descr
  branches/2017Q3/security/keepassxc/pkg-plist
Comment 11 Carlos J. Puga Medina freebsd_committer 2017-07-14 10:45:25 UTC
Committed!

Thanks